Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.PaneBeforeDockEventArgs=function(){
Telerik.Web.UI.PaneBeforeDockEventArgs.initializeBase(this);
};
Telerik.Web.UI.PaneBeforeDockEventArgs.prototype={};
Telerik.Web.UI.PaneBeforeDockEventArgs.registerClass("Telerik.Web.UI.PaneBeforeDockEventArgs",Sys.CancelEventArgs);
Telerik.Web.UI.PaneDockedEventArgs=function(){
Telerik.Web.UI.PaneDockedEventArgs.initializeBase(this);
};
Telerik.Web.UI.PaneDockedEventArgs.prototype={};
Telerik.Web.UI.PaneDockedEventArgs.registerClass("Telerik.Web.UI.PaneDockedEventArgs",Sys.EventArgs);
Telerik.Web.UI.PaneBeforeUndockEventArgs=function(){
Telerik.Web.UI.PaneBeforeUndockEventArgs.initializeBase(this);
};
Telerik.Web.UI.PaneBeforeUndockEventArgs.prototype={};
Telerik.Web.UI.PaneBeforeUndockEventArgs.registerClass("Telerik.Web.UI.PaneBeforeUndockEventArgs",Sys.CancelEventArgs);
Telerik.Web.UI.PaneUndockedEventArgs=function(){
Telerik.Web.UI.PaneUndockedEventArgs.initializeBase(this);
};
Telerik.Web.UI.PaneUndockedEventArgs.prototype={};
Telerik.Web.UI.PaneUndockedEventArgs.registerClass("Telerik.Web.UI.PaneUndockedEventArgs",Sys.EventArgs);
Telerik.Web.UI.RadSlidingPane=function(_1){
Telerik.Web.UI.RadSlidingPane.initializeBase(this,[_1]);
this._title="";
this._enableResize=true;
this._enableDock=true;
this._parentPane=null;
this._resizeBarSize=null;
this._slideBorderSize=0;
this._isExpanded=false;
this._isDocked=false;
this._width=150;
this._height=150;
this._minWidth=60;
this._minHeight=60;
this._isInitialSizeApplied=false;
this._popupBehavior=null;
this._originalParent=null;
this._popupElement=null;
this._zone=null;
this._contentElement=null;
this._tableElement=null;
this._tabContainer=null;
this._resizeElement=null;
this.GetContentContainer=this.getContentContainer;
this.GetContent=this.getContent;
this.SetContent=this.setContent;
this.GetDockIconElement=this.getDockIconElement;
this.GetUndockIconElement=this.getUndockIconElement;
this.GetCollapseIconElement=this.getCollapseIconElement;
this.GetSlidingContainerTitle=this.getSlidingContainerTitle;
this.GetSlidingPaneResizeContainer=this.getSlidingPaneResizeContainer;
this.GetTabContainer=this.getTabContainer;
this.HideTab=this.hideTab;
this.ShowTab=this.showTab;
this.IsTabDisplayed=this.isTabDisplayed;
};
Telerik.Web.UI.RadSlidingPane.prototype={initialize:function(){
Telerik.Web.UI.RadSlidingPane.callBaseMethod(this,"initialize");
this._popupElement=this.get_element();
this._zone=this.get_parent();
this._contentElement=this.getContentContainer();
this._tableElement=this._popupElement.getElementsByTagName("TABLE")[0];
this._tabContainer=this.getTabContainer();
this._resizeElement=this.getSlidingPaneResizeContainer();
var _2=this._zone;
var _3=this._tabContainer;
$addHandlers(_3,{"mousedown":_2._paneTab_OnMouseDown,"mouseover":_2._paneTab_OnMouseOver,"mouseout":_2._paneTab_OnMouseOut},_2);
var _4=this._popupElement;
$addHandlers(_4,{"mouseover":this._slidingContainer_OnMouseOver,"mouseout":this._slidingContainer_OnMouseOut},this);
var _5=this._resizeElement;
$addHandlers(_5,{"mouseover":this._resizeSlidePane_OnMouseOver,"mouseout":this._resizeSlidePane_OnMouseOut,"mousedown":this._resizeSlidePane_OnMouseDown},this);
_5.setAttribute("unselectable","on");
var _6=this.getDockIconElement();
$addHandlers(_6,{"mouseover":this._dockElement_OnMouseOver,"mouseout":this._dockElement_OnMouseOut,"mousedown":this._dockElement_OnMouseDown},this);
var _7=this.getUndockIconElement();
$addHandlers(_7,{"mouseover":this._undockElement_OnMouseOver,"mouseout":this._undockElement_OnMouseOut,"mousedown":this._undockElement_OnMouseDown},this);
var _8=this.getCollapseIconElement();
$addHandlers(_8,{"mouseover":this._collapseElement_OnMouseOver,"mouseout":this._collapseElement_OnMouseOut,"mousedown":this._collapseElement_OnMouseDown},this);
if(this._scrollingEnabled==null){
this._scrollingEnabled=(this._scrolling!=Telerik.Web.UI.SplitterPaneScrolling.None);
}
if(this._scrollingEnabled&&this._persistScrollPosition){
this._attachScrollHandler();
}
if(!$telerik.isIE&&_2._isHorizontalSlide()){
var _9=this._getTitleContainerElement();
if(_9!=null){
_9.style.lineHeight=1;
_9.innerHTML=this._title.split("").join("<br/>");
}
}
this._originalParent=_4.parentNode;
this._moveRootToParent(false);
this.updateClientState();
},dispose:function(){
this._moveRootToParent(true);
if(this._popupBehavior){
this._popupBehavior.dispose();
this._popupBehavior=null;
}
this._originalParent=null;
if(this._expandAnimationEndedDelegate){
if(this._animation){
this._animation.remove_expandAnimationEnded(this._expandAnimationEndedDelegate);
}
this._expandAnimationEndedDelegate=null;
}
if(this._animation){
this._animation.dispose();
this._animation=null;
}
var _a=this._tabContainer;
$clearHandlers(_a);
var _b=this._popupElement;
$clearHandlers(_b);
var _c=this._resizeElement;
$clearHandlers(_c);
var _d=this.getDockIconElement();
$clearHandlers(_d);
var _e=this.getUndockIconElement();
$clearHandlers(_e);
var _f=this.getCollapseIconElement();
$clearHandlers(_f);
if(this._onScrollAttached){
$clearHandlers(this._contentElement);
}
Telerik.Web.UI.RadSlidingPane.callBaseMethod(this,"dispose");
},get_enableResize:function(){
return this._enableResize;
},set_enableResize:function(_10){
this._enableResize=_10;
this.updateClientState();
},get_enableDock:function(){
return this._enableDock;
},set_enableDock:function(_11){
this._enableDock=_11;
this.updateClientState();
},set_title:function(_12){
this._title=_12;
var _13=this._getTitleContainerElement();
if(_13!=null){
if(this._zone){
if(!$telerik.isIE&&this._zone._isHorizontalSlide()){
_13.style.lineHeight=1;
_13.innerHTML=this._title.split("").join("<br/>");
}else{
_13.innerHTML=this._title;
}
}
}
var _14=this.getSlidingContainerTitle();
if(_14){
_14.innerHTML=this._title;
}
this.updateClientState();
},get_title:function(){
return this._title;
},get_expanded:function(){
return this._isExpanded;
},get_docked:function(){
return this._isDocked;
},get_parentPane:function(){
return this._parentPane;
},set_parentPane:function(_15){
this._parentPane=_15;
},add_docked:function(_16){
this.get_events().addHandler("docked",_16);
},remove_docked:function(_17){
this.get_events().removeHandler("docked",_17);
},add_undocked:function(_18){
this.get_events().addHandler("undocked",_18);
},remove_undocked:function(_19){
this.get_events().removeHandler("undocked",_19);
},add_beforeDock:function(_1a){
this.get_events().addHandler("beforeDock",_1a);
},remove_beforeDock:function(_1b){
this.get_events().removeHandler("beforeDock",_1b);
},add_beforeUndock:function(_1c){
this.get_events().addHandler("beforeUndock",_1c);
},remove_beforeUndock:function(_1d){
this.get_events().removeHandler("beforePaneUndocked",_1d);
},getContentContainer:function(){
if(!this._contentElement){
this._contentElement=$get("RAD_SLIDING_PANE_CONTENT_"+this.get_id());
}
return this._contentElement;
},get_pane:function(){
return this.get_parentPane().get_element();
},get_paneBounds:function(){
var _1e=this.get_pane();
return $telerik.getBounds(_1e);
},_show:function(x,y){
var _21=this._popupBehavior;
_21._setCoordinates(x,y);
_21.show();
},get_slidingPaneBounds:function(){
var _22=this._popupElement;
var _23=(_22.style.top==""&&!this._isDocked);
if(_23){
this._setSlidingContainerSize();
}
var _24=$telerik.getBounds(_22);
return _24;
},_fixIeHeight:function(_25,_26){
if("CSS1Compat"==document.compatMode){
var _27=(_25.offsetHeight-parseInt(_26));
if(_27>0){
var _28=(parseInt(_25.style.height)-_27);
if(_28>0){
_25.style.height=_28+"px";
}
}
}
},getContent:function(){
var _29=this._contentElement;
return _29.innerHTML;
},setContent:function(_2a){
var _2b=this._contentElement;
_2b.innerHTML=_2a;
},getDockIconElement:function(){
return $get("RAD_SPLITTER_SLIDING_PANE_DOCK_"+this.get_id());
},getDockIconWrapperElement:function(){
return this.getDockIconElement().parentNode;
},getUndockIconElement:function(){
return $get("RAD_SPLITTER_SLIDING_PANE_UNDOCK_"+this.get_id());
},getUnDockIconWrapperElement:function(){
return this.getUndockIconElement().parentNode;
},getCollapseIconElement:function(){
return $get("RAD_SPLITTER_SLIDING_PANE_COLLAPSE_"+this.get_id());
},getCollapseIconWrapperElement:function(){
return this.getCollapseIconElement().parentNode;
},getSlidingContainerTitle:function(){
return $get("RAD_SPLITTER_SLIDING_TITLE_"+this.get_id());
},getSlidingPaneResizeContainer:function(){
if(!this._resizeElement){
this._resizeElement=$get("RAD_SPLITTER_SLIDING_ZONE_RESIZE_"+this.get_id());
}
return this._resizeElement;
},getTabContainer:function(){
if(!this._tabContainer){
this._tabContainer=$get("RAD_SLIDING_PANE_TAB_"+this.get_id());
}
return this._tabContainer;
},hideTab:function(){
var _2c=this._tabContainer;
if(_2c==null){
return;
}
_2c.style.display="none";
},showTab:function(){
var _2d=this._tabContainer;
if(_2d==null){
return;
}
_2d.style.display="";
},isTabDisplayed:function(){
var _2e=this._tabContainer;
if(_2e==null){
return false;
}
return (_2e.style.display!="none");
},_setTabDefaultState:function(){
var _2f=this._tabContainer;
if(_2f==null){
return false;
}
_2f.className="paneTabContainer";
},_setTabDockedState:function(){
var _30=this._tabContainer;
if(_30==null){
return false;
}
_30.className="paneTabContainerDocked";
},_setTabExpandedState:function(){
var _31=this._tabContainer;
if(_31==null){
return false;
}
_31.className="paneTabContainerExpanded";
},_resizeSlidePane_OnMouseOver:function(e){
var _33=this._resizeElement;
_33.className=(this._zone._isHorizontalSlide())?"slideContainerResizeOver":"slideContainerResizeOverHorizontal";
},_resizeSlidePane_OnMouseOut:function(e){
var _35=this._resizeElement;
_35.className=(this._zone._isHorizontalSlide())?"slideContainerResize":"slideContainerResizeHorizontal";
},_resizeSlidePane_OnMouseDown:function(e){
e.preventDefault();
e.stopPropagation();
var _37=this._zone;
var _38=_37._isHorizontalSlide();
this._maxDecreaseDelta=(_38)?this.get_width()-this.get_minWidth():this.get_height()-this.get_minHeight();
var _39=(_38)?this.get_maxWidth()-this.get_width():this.get_maxHeight()-this.get_height();
var _3a=this.get_parentPane();
var _3b=_3a._getAvailIncreaseDelta();
var _3c=this.get_splitter()._getAvailDecreaseDelta(_3a._indexInPanes,Telerik.Web.UI.SplitterDirection.Forward);
var _3d=Math.min(_3c,_3b);
var _3e=_37.get_dockedPaneId();
if(_3e!=null){
var _3f=_37.getPaneById(_3e);
_3d+=(_38)?_3f.get_width():_3f.get_height();
}
_3d-=(_38)?this.get_width():this.get_height();
this._maxIncreaseDelta=Math.min(_39,_3d);
if(_37.isLeftDirection()||_37.isTopDirection()){
var t=this._maxIncreaseDelta;
this._maxIncreaseDelta=this._maxDecreaseDelta;
this._maxDecreaseDelta=t;
}
var _41=this._resizeElement;
var pos=$telerik.getLocation(_41);
if($telerik.isSafari&&_38){
var _43=$telerik.getLocation(_41.parentNode);
pos.y=_43.y;
}
this._mouseStartX=e.clientX;
this._mouseStartY=e.clientY;
this._handlerStartLeftPos=pos.x;
this._handlerStartTopPos=pos.y;
this._currentDelta=0;
this._mouseUpResizeHandler=Function.createDelegate(this,this._resizeSlidePane_OnMouseUp);
this._mouseMoveResizeHandler=Function.createDelegate(this,this._resizeSlidePane_OnMouseMove);
$addHandler(document,"mouseup",this._mouseUpResizeHandler);
$addHandler(document,"mousemove",this._mouseMoveResizeHandler);
this._resizeMode=true;
return false;
},_resizeSlidePane_OnMouseUp:function(e){
$telerik.cancelRawEvent(e);
$removeHandler(document,"mouseup",this._mouseUpResizeHandler);
$removeHandler(document,"mousemove",this._mouseMoveResizeHandler);
this._resizeMode=false;
if(this._helperBar){
this._helperBar.parentNode.removeChild(this._helperBar);
this._helperBar=null;
}
var _45=this._zone;
if(_45.isLeftDirection()||_45.isTopDirection()){
this._currentDelta*=-1;
}
if(!this.get_expanded()){
return false;
}
var _46=this._currentDelta;
if(_46&&_46!=0){
var _47=new Telerik.Web.UI.PaneBeforeResizeEventArgs(_46);
this.raiseEvent("beforeResize",_47);
if(!_47.get_cancel()){
var _48=null;
var _49=null;
var _4a=_45._isHorizontalSlide();
var _4b=this.get_slidingPaneBounds();
if(_4a){
_48=_4b.width+_46;
}else{
_49=_4b.height+_46;
}
this._setSlidingContainerSize(_48,_49);
var x=this._popupBehavior.get_x();
var y=this._popupBehavior.get_y();
if(_45.isLeftDirection()){
x-=_46;
}else{
if(_45.isTopDirection()){
y-=_46;
}
}
this._show(x,y);
var _4e=this.get_width();
var _4f=this.get_height();
if(_4a){
this.set_width(_48);
}else{
this.set_height(_49);
}
$telerik.repaintChildren(this);
this.raiseEvent("resized",new Telerik.Web.UI.PaneResizedEventArgs(_4e,_4f));
}
}
return false;
},_resizeSlidePane_OnMouseMove:function(e){
e.preventDefault();
e.stopPropagation();
var _51=this._zone._isHorizontalSlide();
this._resizeMode=true;
var _52=150;
if(!this._helperBar){
var _53=document.createElement("TABLE");
_53.className=this.get_splitter().getContainerElement().className;
_53.style.borderCollapse="separate";
_53.cellSpacing=0;
_53.cellPadding=0;
_53.style.borderWidth="0px";
_53.style.background="";
var _54=document.createElement("TBODY");
_53.appendChild(_54);
var TR=document.createElement("TR");
_54.appendChild(TR);
var TD=document.createElement("TD");
TR.appendChild(TD);
var _57=document.createElement("DIV");
_57.className="helperBarSlideDrag";
if(_51){
_57.style.marginLeft=_52+"px";
_57.style.marginRight=_52+"px";
}else{
_57.style.marginTop=_52+"px";
_57.style.marginBottom=_52+"px";
}
TD.appendChild(_57);
_53.style.position="absolute";
_53.style.left=this._handlerStartLeftPos-(_51?_52:0)+"px";
_53.style.top=this._handlerStartTopPos-(!_51?_52:0)+"px";
this._helperBar=document.body.insertBefore(_53,document.body.firstChild);
var _58=this.get_parentPane();
if(_51){
$telerik.setOuterHeight(_57,_58.get_height());
$telerik.setOuterWidth(_57,3);
}else{
$telerik.setOuterWidth(_57,_58.get_width());
$telerik.setOuterHeight(_57,3);
}
this._helperBarDecoration=_57;
}
var _59=(_51)?e.clientX-this._mouseStartX:e.clientY-this._mouseStartY;
var _5a=false;
if(_59<((-1)*this._maxDecreaseDelta)){
_5a=true;
_59=this._maxDecreaseDelta*(-1);
}
if(_59>this._maxIncreaseDelta){
_5a=true;
_59=this._maxIncreaseDelta;
}
if(this._resizeStep>0){
_59-=_59%this._resizeStep;
}
this._helperBarDecoration.className=(_51)?"helperBarSlideDrag":"helperBarSlideDragHorizontal";
var _5b=(_51)?"w-resize":"n-resize";
this._helperBarDecoration.style.cursor=_5b;
if(_51){
this._helperBar.style.left=this._handlerStartLeftPos+_59-_52+"px";
}else{
this._helperBar.style.top=this._handlerStartTopPos+_59-_52+"px";
}
this._helperBar.style.zIndex=this._popupElement.style.zIndex+1;
this._helperBar.style.cursor=_5b;
this._currentDelta=_59;
if(_5a){
if(this._helperBarDecoration){
this._helperBarDecoration.className="helperBarSlideError";
}
}
return false;
},_slidingContainer_OnMouseOut:function(e){
if(this.get_docked()){
return;
}
if(this._resizeMode){
return;
}
if(!this.get_expanded()){
return;
}
if(this._isMouseInPaneRectangle(e)){
return;
}
var _5d=this;
var f=function(){
var _5f=_5d._zone;
_5f._paneTabInMover=null;
_5f.collapsePane(_5d.get_id());
};
var _60=this._zone;
window.clearTimeout(_60._paneTabMoutTimeout);
_60._paneTabMoutTimeout=window.setTimeout(f,1000);
},_slidingContainer_OnMouseOver:function(e){
if(this.get_docked()){
return;
}
if(this._resizeMode){
return;
}
window.clearTimeout(this._zone._paneTabMoutTimeout);
},_dockElement_OnMouseDown:function(e){
if(e.button&&e.button!=1){
return true;
}
if(!this.get_expanded()){
return;
}
var _63=this._zone;
if(!_63.collapsePane(this.get_id(),true)){
return;
}
_63.dockPane(this.get_id());
this.getDockIconElement().className="slideHeaderDockIcon";
},_dockElement_OnMouseOver:function(e){
if(e.button&&e.button!=1){
return true;
}
this.getDockIconElement().className="slideHeaderDockIconOver";
},_dockElement_OnMouseOut:function(e){
if(e.button&&e.button!=1){
return true;
}
this.getDockIconElement().className="slideHeaderDockIcon";
},_undockElement_OnMouseDown:function(e){
if(e.button&&e.button!=1){
return true;
}
if(!this.get_docked()){
return;
}
this._zone.undockPane(this.get_id());
},_undockElement_OnMouseOver:function(e){
if(e.button&&e.button!=1){
return true;
}
this.getUndockIconElement().className="slideHeaderUndockIconOver";
},_undockElement_OnMouseOut:function(e){
if(e.button&&e.button!=1){
return true;
}
this.getUndockIconElement().className="slideHeaderUndockIcon";
},_collapseElement_OnMouseDown:function(e){
if(e.button&&e.button!=1){
return true;
}
if(!this.get_expanded()){
return;
}
var _6a=this._zone;
_6a._paneTabInMover=null;
_6a.collapsePane(this.get_id());
},_collapseElement_OnMouseOver:function(e){
if(e.button&&e.button!=1){
return true;
}
this.getCollapseIconElement().className="slideHeaderCollapseIconOver";
},_collapseElement_OnMouseOut:function(e){
if(e.button&&e.button!=1){
return true;
}
this.getCollapseIconElement().className="slideHeaderCollapseIcon";
},_onExpandAnimationEnded:function(){
this._tableElement.style.position="static";
if($telerik.isFirefox){
this._configureScrolling();
Sys.UI.DomElement.removeCssClass(this._contentElement,"hideContentOverflow");
}
if($telerik.getVisible(this.get_element())){
this._showOverlayElement(true);
}
this.setScrollPos(this._scrollLeft,this._scrollTop);
$telerik.repaintChildren(this);
this.raiseEvent("expanded",new Telerik.Web.UI.PaneExpandedEventArgs());
},_expandSlidingContainer:function(){
var _6d=this._tableElement;
_6d.style.top="0px";
_6d.style.left="0px";
if($telerik.isFirefox){
var _6e=this._contentElement;
_6e.style.overflow="hidden";
Sys.UI.DomElement.addCssClass(_6e,"hideContentOverflow");
}
if(!this._animation){
var _6f=Telerik.Web.UI.SlideDirection.Right;
var _70=this._zone;
if(_70.isLeftDirection()){
_6f=Telerik.Web.UI.SlideDirection.Left;
}else{
if(_70.isBottomDirection()){
_6f=Telerik.Web.UI.SlideDirection.Down;
}else{
if(_70.isTopDirection()){
_6f=Telerik.Web.UI.SlideDirection.Up;
}
}
}
var _71=new Telerik.Web.UI.AnimationSettings({"duration":_70._slideDuration});
var _72=new Telerik.Web.UI.Slide(this._tableElement,_71,null,false);
_72.initialize();
_72.set_direction(_6f);
this._expandAnimationEndedDelegate=Function.createDelegate(this,this._onExpandAnimationEnded);
_72.add_expandAnimationEnded(this._expandAnimationEndedDelegate);
this._animation=_72;
}
this._animation.expand();
this._showOverlayElement(false);
},_collapseSlidingContainer:function(){
try{
this._animation.stop();
}
catch(e){
}
this._hideSlidingContainer();
this.raiseEvent("collapsed",new Telerik.Web.UI.PaneCollapsedEventArgs());
},_setSlidingContainerSize:function(_73,_74){
var _75=this._zone;
var _76=_75.getTabsContainer();
if($telerik.isIE||!$telerik.getVisible(_76)){
var _77=this.get_pane();
}else{
var _77=_75.getTabsContainer();
}
var _78=_75._isVerticalSlide();
if(_73==null){
_73=(!_78)?this.get_width():_77.offsetWidth;
}
if(_74==null){
_74=(_78)?this.get_height():_77.offsetHeight;
}
var _79=this._contentElement;
if($telerik.isSafari){
_79.style.width=_73+"px";
_79.style.height=_74+"px";
}
var _7a=$telerik.getBorderBox(_79);
var _7b=$telerik.getPaddingBox(_79);
var _7c=$telerik.getMarginBox(_79);
var _7d=this._popupElement;
if(parseInt(_7d.style.width)!=_73){
_7d.style.width=_73+"px";
}
if(parseInt(_7d.style.height)!=_74){
_7d.style.height=_74+"px";
}
var _7e=this._resizeElement;
var _7f=_74;
if(this.get_enableResize()&&_78){
_7f-=(_7e.offsetHeight);
}
var _80=this._tableElement.getElementsByTagName("TR");
var _81=null;
for(var i=0,_83=_80.length;i<_83;i++){
if(_80[i].className=="slideHeader"){
_81=_80[i];
break;
}
}
if(_81){
_7f-=_81.offsetHeight;
}
_7f-=(_7a.vertical+_7b.vertical+_7c.vertical);
if(parseInt(_79.style.height)!=_7f&&_7f>=0){
_79.style.height=_7f+"px";
}
var _84=_73;
if(this.get_enableResize()&&!_78){
var _85=_7e.offsetWidth;
if($telerik.isIE6){
_85=_7e.firstChild.offsetWidth;
_85+=$telerik.getBorderBox(_7e).horizontal;
}
_84-=_85;
}
_84-=(_7a.horizontal+_7b.horizontal+_7c.horizontal);
if(parseInt(_79.style.width)!=_84&&_84>=0){
_79.style.width=_84+"px";
}
this._isInitialSizeApplied=true;
},_hideSlidingContainer:function(){
var _86=this._popupElement;
_86.style.top="";
_86.style.left="";
this._showOverlayElement(false);
},_dockSlidingContainer:function(){
var _87=this._popupElement;
_87.style.position="static";
this._tableElement.style.position="static";
this._showOverlayElement(false);
_87.firstChild.className="slideContainerDocked";
},_unDockSlidingContainer:function(){
var _88=this._popupElement;
_88.style.position="";
this._tableElement.style.position="";
this._showOverlayElement(true);
_88.firstChild.className="slideContainer";
},_setSlidingContainerResizable:function(_89){
var _8a=this._resizeElement;
var _8b=this._zone._isVerticalSlide();
if(_8b){
_8a=_8a.parentNode;
}
if(_89&&_8a.style.display==""){
return;
}
if(this._enableResize){
var _8c=this._resizeBarSize;
if(!_8c){
this._resizeBarSize=parseInt((_8b)?_8a.offsetHeight:_8a.offsetWidth);
_8c=this._resizeBarSize;
}
if(_89){
_8c*=-1;
}
var _8d=this._contentElement;
if(_8b){
_8d.style.height=parseInt(_8d.style.height)+_8c+"px";
}else{
_8d.style.width=parseInt(_8d.style.width)+_8c+"px";
}
}
_8a.style.display=(_89)?"":"none";
},_setIconsExpandedState:function(){
this._hideAllIcons();
this.getDockIconWrapperElement().style.display=(this.get_enableDock())?"":"none";
this.getDockIconElement().className="slideHeaderDockIcon";
this.getCollapseIconWrapperElement().style.display="";
},_setIconsDockedState:function(){
this._hideAllIcons();
this.getUnDockIconWrapperElement().style.display="";
this.getUndockIconElement().className="slideHeaderUndockIcon";
},_hideAllIcons:function(){
this.getDockIconWrapperElement().style.display="none";
this.getUnDockIconWrapperElement().style.display="none";
this.getCollapseIconWrapperElement().style.display="none";
},_getTitleContainerElement:function(){
return $get("RAD_SLIDING_PANE_TEXT_"+this.get_id());
},_dock:function(){
if(!this._isInitialSizeApplied){
this._setSlidingContainerSize();
}
this._setIconsDockedState();
this._setSlidingContainerResizable(false);
this._dockSlidingContainer();
this.setScrollPos(this._scrollLeft,this._scrollTop);
$telerik.repaintChildren(this);
this._isExpanded=false;
this._isDocked=true;
},_undock:function(){
this._isExpanded=false;
this._isDocked=false;
this._setSlidingContainerResizable(this._enableResize);
this._unDockSlidingContainer();
this._hideSlidingContainer();
},_expand:function(){
var _8e=this._zone;
var _8f=_8e.getTabsContainer();
var _90=this._popupElement;
if(!this._popupBehavior){
this._popupBehavior=$create(Telerik.Web.PopupBehavior,{"id":(new Date()-100)+"PopupBehavior","parentElement":_8f,"keepInScreenBounds":false,"manageVisibility":false},null,null,_90);
}
this._setSlidingContainerResizable(this._enableResize);
this._setIconsExpandedState();
var _91=this.get_slidingPaneBounds();
var _92=$telerik.getBounds(_8f);
var x=0;
var y=0;
if(_8e.isRightDirection()){
x=_92.width;
if($telerik.isIE){
var _95=$telerik.getCurrentStyle(_8f,"borderRightWidth");
if(_95&&!isNaN(parseInt(_95))){
x-=Math.floor(parseInt(_95)/2);
}
}
}else{
if(_8e.isLeftDirection()){
x=-_91.width;
}else{
if(_8e.isBottomDirection()){
y=_92.height;
if($telerik.isIE){
var _96=$telerik.getCurrentStyle(_8f,"borderBottomWidth");
if(_96&&!isNaN(parseInt(_96))){
y-=Math.floor(parseInt(_96)/2);
}
}
}else{
if(_8e.isTopDirection()){
y=-_91.height;
}
}
}
}
if($telerik.isFirefox){
var _97=$telerik.getCurrentStyle(this.get_splitter()._containerElement,"marginTop");
if(_97&&!isNaN(parseInt(_97))){
y+=parseInt(_97);
}
var _98=$telerik.getCurrentStyle(this.get_splitter()._containerElement,"marginLeft");
if(_98&&!isNaN(parseInt(_98))){
x+=parseInt(_98);
}
}
this._show(x,y);
this._expandSlidingContainer();
this._isExpanded=true;
this._isDocked=false;
},_collapse:function(){
this._isExpanded=false;
this._isDocked=false;
this._collapseSlidingContainer();
},_isMouseInPaneRectangle:function(e){
var _9a=this._popupElement;
var _9b=null;
try{
_9b=$telerik.getBounds(_9a);
}
catch(e){
return false;
}
if(e&&e.target){
var _9c=e.target.tagName;
if(_9c=="SELECT"||_9c=="OPTION"){
return true;
}
if(e.clientX<0||e.clientY<0){
return true;
}
}
var _9d=(document.compatMode&&document.compatMode!="BackCompat")?document.documentElement:document.body;
var x=e.clientX+_9d.scrollLeft;
var y=e.clientY+_9d.scrollTop;
return $telerik.containsPoint(_9b,x,y);
},saveClientState:function(){
var _a0=this.getScrollPos();
var _a1={"_scrollLeft":_a0.left,"_scrollTop":_a0.top};
var _a2=["width","height","title","enableResize","minWidth","maxWidth","minHeight","maxHeight","enableDock"];
for(var i=0,_a4=_a2.length;i<_a4;i++){
var _a5=_a2[i];
_a1[_a5]=this["get_"+_a5]();
}
return Sys.Serialization.JavaScriptSerializer.serialize(_a1);
},_getOverlayElement:function(){
return this._popupElement._hideWindowedElementsIFrame;
},_showOverlayElement:function(_a6){
var _a7=this._getOverlayElement();
if(!_a7){
return;
}
_a7.style.display=_a6?"":"none";
},_getRadioButtons:function(){
var _a8=this._contentElement.getElementsByTagName("input");
var _a9=[];
for(var i=0,_ab=_a8.length;i<_ab;i++){
var _ac=_a8[i];
if(_ac.type=="radio"){
_a9.push(_ac);
}
}
return _a9;
},_getRadioButtonsStatus:function(_ad){
var _ae=[];
for(var i=0,_b0=_ad.length;i<_b0;i++){
_ae.push(_ad[i].getAttribute("checked"));
}
return _ae;
},_restoreRadioButtonsStatus:function(_b1,_b2){
for(var i=_b2.length-1;i>=0;i--){
if(_b1.length==0){
break;
}
_b2[i].setAttribute("checked",_b1.pop());
}
},_moveRootToParent:function(_b4){
var _b5=(_b4)?this._originalParent:this.get_splitter().get_element();
var _b6=this._popupElement;
if(!_b6){
return;
}
var _b7=_b6.parentNode;
if(!_b5||!_b7||_b5.id==_b7.id){
return;
}
if($telerik.isIE){
var _b8=this._getRadioButtons();
var _b9=this._getRadioButtonsStatus(_b8);
}
_b7.removeChild(_b6);
_b5.appendChild(_b6);
if($telerik.isIE){
this._restoreRadioButtonsStatus(_b9,_b8);
}
}};
Telerik.Web.UI.RadSlidingPane.registerClass("Telerik.Web.UI.RadSlidingPane",Telerik.Web.UI.SplitterPaneBase);
Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.SplitterSlideDirection=function(){
};
Telerik.Web.UI.SplitterSlideDirection.prototype={Right:1,Left:2,Top:3,Bottom:4};
Telerik.Web.UI.SplitterSlideDirection.registerEnum("Telerik.Web.UI.SplitterSlideDirection",false);
Telerik.Web.UI.RadSlidingZone=function(_ba){
Telerik.Web.UI.RadSlidingZone.initializeBase(this,[_ba]);
this._width=null;
this._height=null;
this._clickToOpen=false;
this._resizeStep=0;
this._slideDuration=300;
this._splitter=null;
this._slideDirection=Telerik.Web.UI.SplitterSlideDirection.Right;
this._slidingPanes=[];
this._slidingPanesById=[];
this._dockedPaneId=null;
this._initiallyDockedPaneId=null;
this._expandedPaneId=null;
this.GetPaneById=this.getPaneById;
this.GetTabsContainer=this.getTabsContainer;
this.DockPane=this.dockPane;
this.UndockPane=this.undockPane;
this.GetPanes=this.getPanes;
this.ExpandPane=this.expandPane;
this.CollapsePane=this.collapsePane;
this.IsLeftDirection=this.isLeftDirection;
this.IsRightDirection=this.isRightDirection;
this.IsTopDirection=this.isTopDirection;
this.IsBottomDirection=this.isBottomDirection;
};
Telerik.Web.UI.RadSlidingZone.prototype={endUpdate:function(){
if(this._width.toString().indexOf("px")>-1){
this._width=parseInt(this._width,10);
}
if(this._height.toString().indexOf("px")>-1){
this._height=parseInt(this._height,10);
}
Telerik.Web.UI.RadSlidingZone.callBaseMethod(this,"endUpdate");
},dispose:function(){
var _bb=this.getPanes();
for(var i=0,_bd=_bb.length;i<_bd;i++){
_bb[i]._moveRootToParent(true);
}
Telerik.Web.UI.RadSlidingZone.callBaseMethod(this,"dispose");
},initialize:function(){
Telerik.Web.UI.RadSlidingZone.callBaseMethod(this,"initialize");
this._splitterLoadedHandler=Function.createDelegate(this,this._splitterLoadedHandler);
this.get_splitter().add_loaded(this._splitterLoadedHandler);
},set_clickToOpen:function(_be){
this._clickToOpen=_be;
this.updateClientState();
},get_clickToOpen:function(){
return this._clickToOpen;
},set_resizeStep:function(_bf){
this._resizeStep=_bf;
this.updateClientState();
},get_resizeStep:function(){
return this._resizeStep;
},set_slideDuration:function(_c0){
this._slideDuration=_c0;
this.updateClientState();
},get_slideDuration:function(){
return this._slideDuration;
},get_width:function(){
return this._width;
},get_height:function(){
return this._height;
},get_expandedPaneId:function(){
return this._expandedPaneId;
},get_dockedPaneId:function(){
return this._dockedPaneId;
},get_splitter:function(){
return this._splitter;
},set_splitter:function(_c1){
this._splitter=_c1;
},add_loaded:function(_c2){
this.get_events().addHandler("loaded",_c2);
},remove_loaded:function(_c3){
this.get_events().removeHandler("loaded",_c3);
},getPaneById:function(_c4){
return this._slidingPanesById[_c4];
},getTabsContainer:function(){
return $get("RAD_SLIDING_ZONE_TABS_CONTAINER_"+this.get_id());
},dockPane:function(_c5){
var _c6=this.getPaneById(_c5);
if(!_c6||!_c6.get_enableDock()){
return false;
}
var _c7=new Telerik.Web.UI.PaneBeforeDockEventArgs();
_c6.raiseEvent("beforeDock",_c7);
if(_c7.get_cancel()){
return false;
}
if(this._dockedPaneId){
if(!this.undockPane(this._dockedPaneId)){
return false;
}
}
var _c8=$get("RAD_SLIDING_ZONE_PANES_CONTAINER_"+this.get_id());
if(this.isLeftDirection()&&$telerik.isSafari){
_c8.style.width="";
}
_c6._moveRootToParent(true);
this._dockingMode=true;
var _c9=(this._isHorizontalSlide())?_c6.get_width():_c6.get_height();
var _ca=(this.isLeftDirection()||this.isTopDirection())?Telerik.Web.UI.SplitterDirection.Backward:Telerik.Web.UI.SplitterDirection.Forward;
var _cb=this.get_parent();
var _cc=this.get_splitter()._getAvailIncreaseDelta(_cb._indexInPanes,_ca);
var _cd=(this._isHorizontalSlide())?_c6.get_minWidth():_c6.get_minHeight();
if(_cc<_cd){
return false;
}
var _ce=_c9+this._getTabsContainerSize();
var _cf=_cb.getVarSize();
var _d0=_cf+_cc;
var _d1=Math.min(_d0,_ce);
var _d2=_d1-_cf;
if(_d2!=0){
_cb.resize(_d2,_ca);
}
_c6._dock();
_c6._setTabDockedState();
if(this._isVerticalSlide()){
var _d3=_c6.get_height()+this._getTabsContainerSize();
var _d4=this.get_element();
$telerik.setOuterHeight(_c8,_c6.get_height());
$telerik.setOuterHeight(_d4,_d3);
}else{
if(this.isLeftDirection()&&$telerik.isSafari){
_c8.style.width="1px";
}
}
this._dockedPaneId=_c5;
this.updateClientState();
this._dockingMode=false;
_c6.raiseEvent("docked",new Telerik.Web.UI.PaneDockedEventArgs());
return true;
},undockPane:function(_d5){
var _d6=this.getPaneById(_d5);
if(!_d6){
return false;
}
var _d7=new Telerik.Web.UI.PaneBeforeUndockEventArgs();
_d6.raiseEvent("beforeUndock",_d7);
if(_d7.get_cancel()){
return false;
}
if(!_d5){
_d5=this._dockedPaneId;
}
if(this.get_parent().get_collapsed()){
return false;
}
_d6._moveRootToParent(false);
this._dockingMode=true;
_d6._undock();
this._dockedPaneId=null;
var _d8=this._getTabsContainerSize();
if(this._isVerticalSlide()){
var _d9=this.get_element();
$telerik.setOuterHeight(document.getElementById("RAD_SLIDING_ZONE_PANES_CONTAINER_"+this.get_id()),0);
$telerik.setOuterHeight(_d9,_d8);
}
var _da=this.get_parent().getVarSize();
var _db=_da-_d8;
var _dc=(this.isLeftDirection()||this.isTopDirection())?Telerik.Web.UI.SplitterDirection.Backward:Telerik.Web.UI.SplitterDirection.Forward;
this.get_parent().resize(_db*(-1),_dc);
_d6._setTabDefaultState();
this.updateClientState();
this._dockingMode=false;
_d6.raiseEvent("undocked",new Telerik.Web.UI.PaneUndockedEventArgs());
this._paneTabInMover=null;
return true;
},getPanes:function(){
return this._slidingPanes;
},expandPane:function(_dd){
if(this._dockedPaneId==_dd){
return false;
}
var _de=this.getPaneById(_dd);
var _df=_de.getTabContainer();
if(!_de||!_df){
return false;
}
var _e0=new Telerik.Web.UI.PaneBeforeExpandEventArgs();
_de.raiseEvent("beforeExpand",_e0);
if(_e0.get_cancel()){
return false;
}
_de._setTabExpandedState();
_de._expand();
this._expandedPaneId=_dd;
this.updateClientState();
return true;
},collapsePane:function(_e1,_e2){
if(this._expandedPaneId!=_e1){
return true;
}
if(this._dockedPaneId==_e1){
return false;
}
var _e3=this.getPaneById(_e1);
var _e4=_e3.getTabContainer();
if(!_e3||!_e4){
return false;
}
var _e5=new Telerik.Web.UI.PaneBeforeCollapseEventArgs();
_e3.raiseEvent("beforeCollapse",_e5);
if(_e5.get_cancel()){
return false;
}
_e3._setTabDefaultState();
if(_e3._animation){
_e3._animation._stopAnimation();
}
if(!_e2){
_e3._tableElement.style.position="";
}
_e3._collapse();
this._expandedPaneId=null;
this.updateClientState();
this._paneTabInMover=null;
return true;
},isLeftDirection:function(e){
return (this._slideDirection==Telerik.Web.UI.SplitterSlideDirection.Left);
},isRightDirection:function(){
return (this._slideDirection==Telerik.Web.UI.SplitterSlideDirection.Right);
},isTopDirection:function(){
return (this._slideDirection==Telerik.Web.UI.SplitterSlideDirection.Top);
},isBottomDirection:function(){
return (this._slideDirection==Telerik.Web.UI.SplitterSlideDirection.Bottom);
},_paneTab_OnMouseOver:function(e){
window.clearTimeout(this._paneTabMoutTimeout);
var _e8=e.target;
var _e9=this._getPaneIdFromTabElement(_e8);
if(!_e9){
return;
}
if(_e9==this._paneTabInMover){
return;
}
this._paneTabInMover=_e9;
if(!this._clickToOpen){
if(this._expandedPaneId!=null){
if(!this.collapsePane(this._expandedPaneId)){
return;
}
}
this.expandPane(_e9);
}
},_paneTab_OnMouseOut:function(e){
if(this._clickToOpen){
return;
}
var _eb=e.target;
var _ec=this._getPaneIdFromTabElement(_eb);
if(!_ec){
return;
}
var _ed=this;
var f=function(){
_ed._paneTabInMover=null;
_ed.collapsePane(_ec);
};
this._paneTabMoutTimeout=window.setTimeout(f,100);
},_paneTab_OnMouseDown:function(e){
if(!this._clickToOpen){
return;
}
var _f0=e.target;
var _f1=this._getPaneIdFromTabElement(_f0);
if(this._expandedPaneId==_f1){
this.collapsePane(_f1);
}else{
if(this._expandedPaneId){
if(!this.collapsePane(this._expandedPaneId)){
return;
}
}
this.expandPane(_f1);
}
},_isHorizontalSlide:function(){
return (this._slideDirection==Telerik.Web.UI.SplitterSlideDirection.Left||this._slideDirection==Telerik.Web.UI.SplitterSlideDirection.Right);
},_isVerticalSlide:function(){
return !this._isHorizontalSlide();
},_getPaneIdFromTabElement:function(_f2){
while(_f2&&_f2.tagName!="DIV"){
_f2=_f2.parentNode;
}
if(!_f2||_f2.id.indexOf("RAD_SLIDING_PANE_TAB_")==-1){
return "";
}
return _f2.id.substr("RAD_SLIDING_PANE_TAB_".length);
},_handleBeforeParentPaneResized:function(_f3,_f4){
if(this._dockingMode){
return;
}
var _f5=_f4.get_delta();
if(this._dockedPaneId){
var _f6=this.getPaneById(this._dockedPaneId);
if(!_f6.get_enableResize()){
_f4.set_cancel(true);
return;
}
var _f7=this._getTabsContainerSize();
var _f8=_f7+(this._isHorizontalSlide())?_f6.get_minWidth():_f6.get_minHeight();
var _f9=_f7+(this._isHorizontalSlide())?_f6.get_maxWidth():_f6.get_maxHeight();
var _fa=_f6.get_slidingPaneBounds();
var _fb=(this._isHorizontalSlide())?_fa.width:_fa.height;
var _fc=_fb+_f5;
if(_fc>_f9||_fc<_f8){
_f4.set_cancel(true);
return;
}
var _fd=new Telerik.Web.UI.PaneBeforeResizeEventArgs(_f5);
_f6.raiseEvent("beforeResize",_fd);
_f4.set_cancel(_fd.get_cancel());
}
},_getTabsContainerSize:function(){
var _fe=this.getTabsContainer();
return (this._isHorizontalSlide())?_fe.offsetWidth:_fe.offsetHeight;
},_handleParentPaneResized:function(_ff,args){
if(this._dockingMode){
return;
}
if(!this._dockedPaneId){
return;
}
var _101=this.getPaneById(this._dockedPaneId);
if(!_101.get_enableResize()){
return;
}
var _102=_101.get_slidingPaneBounds();
var _103=_102.width;
var _104=_ff.get_width()-args.get_oldWidth();
var _105=_103+_104;
var _106=_102.height;
var _107=_ff.get_height()-args.get_oldHeight();
var _108=_106+_107;
_101._setSlidingContainerSize(_105,_108);
var _109=_101.get_width();
var _10a=args.get_oldHeight();
var _108=_ff.get_height();
_101.set_width(_105);
_101.set_height(_108);
if(this._isVerticalSlide()){
var _10b=_108;
var _10c=this.get_element();
$telerik.setOuterHeight(_10c,_10b);
$telerik.setOuterHeight(document.getElementById("RAD_SLIDING_ZONE_PANES_CONTAINER_"+this.get_id()),_108-this._getTabsContainerSize());
}
_101.raiseEvent("resized",new Telerik.Web.UI.PaneResizedEventArgs(_109,_10a));
},_handleSplitterResized:function(_10d,args){
if(this._expandedPaneId){
if(_10d.get_width()!=args.get_oldWidth()||_10d.get_height()!=args.get_oldHeight()){
var _10f=this._expandedPaneId;
this.collapsePane(_10f);
this.expandPane(_10f);
}
}
},_addPane:function(pane){
this._slidingPanes[this._slidingPanes.length]=pane;
this._slidingPanesById[pane.get_id()]=pane;
},_splitterLoadedHandler:function(){
$get("RAD_SLIDING_ZONE_PANES_CONTAINER_"+this.get_id()).style.display="";
this.get_parent().add_beforeResize(Function.createDelegate(this,this._handleBeforeParentPaneResized));
this.get_parent().add_resized(Function.createDelegate(this,this._handleParentPaneResized));
this.get_splitter().add_resized(Function.createDelegate(this,this._handleSplitterResized));
if(this._initiallyDockedPaneId!=null){
this.dockPane(this._initiallyDockedPaneId);
}
if(this._expandedPaneId!=null){
this.expandPane(this._expandedPaneId);
}
if(!this.isLeftDirection()&&Sys.Browser.agent==Sys.Browser.Firefox){
this.get_parent().getContentElement().style.overflow="";
}
this.updateClientState();
this.get_splitter().remove_loaded(this._splitterLoadedHandler);
this.raiseEvent("loaded");
},saveClientState:function(){
if(this.get_isUpdating()){
return null;
}
var _111={"dockedPaneId":this._dockedPaneId||"","expandedPaneId":this._expandedPaneId||""};
var _112=["clickToOpen","resizeStep","slideDuration"];
for(var i=0,_114=_112.length;i<_114;i++){
var _115=_112[i];
_111[_115]=this["get_"+_115]();
}
return Sys.Serialization.JavaScriptSerializer.serialize(_111);
}};
Telerik.Web.UI.RadSlidingZone.registerClass("Telerik.Web.UI.RadSlidingZone",Telerik.Web.UI.RadWebControl);

